package org.springblade.third.iotdevice.feign;

import org.springblade.third.iotdevice.entity.IotAepProduct;
import org.springblade.third.iotdevice.entity.IotAepProduct;
import org.springblade.third.iotdevice.vo.IotAepProductVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotAepProductClientFallback implements IIotAepProductClient {
            /**
         * 详情
         */
        @Override
        public IotAepProductVO detail(IotAepProduct iotAepProduct) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<IotAepProductVO> list(IotAepProduct iotAepProduct) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( IotAepProduct iotAepProduct) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( IotAepProduct iotAepProduct) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( IotAepProduct iotAepProduct) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public IotAepProduct getByProductId(String productId) {
		return null;
	}

}
